%define upstream_name    Dist-Zilla-Role-Version-Sanitize
%define upstream_version 0.002003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Sanitize a version from a plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib) >= 0.40.0.0
BuildRequires: perl(Dist::Zilla::Role::Bootstrap)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sanitize a version from a plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.3-6.mga10
+ Revision: 2203839
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.3-5.mga9
+ Revision: 1809176
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-4.mga8
+ Revision: 1504317
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-3.mga7
+ Revision: 1283401
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.2.3-2.mga7
+ Revision: 1164281
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.2.3-1.mga7
+ Revision: 1157913
- update to 0.002003

* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-6.mga6
+ Revision: 1026734
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.1-5.mga6
+ Revision: 970345
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.2.1-4.mga6
+ Revision: 886014
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 744253
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664151
- update to 0.002001

* Tue Jul 15 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 652986
- update to 0.002000

* Mon Feb 17 2014 jquelin <jquelin> 0.1.2-1.mga5
+ Revision: 593755
- missing %%description
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Role-Version-Sanitize


* Mon Feb 17 2014 cpan2dist 0.001002-1mga
- initial mageia release, generated with cpan2dist
